package com.kfzs.libs.di.http;


import java.io.File;
import java.util.Map;

import retrofit2.Call;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.POST;
import rx.Observable;

/**
 * Created by guoxin on 2018/3/29.
 */

public interface HttpService {

    //表格形式发送
    @FormUrlEncoded
    @POST("credits/cmbc/log")
    Observable<String> commitCreditCardFiled(@FieldMap Map<String, String> map);

    //表格形式发送
    @FormUrlEncoded
    @POST("credits/cmbc/basic")
    Observable<String> commitCreditCardBasic(@FieldMap Map<String, String> map);
    //表格形式发送
    @FormUrlEncoded
    @POST("credits/cmbc/code")
    Observable<String> getCreditCardDynamic(@FieldMap Map<String, String> map);

    //表格形式发送
    @FormUrlEncoded
    @POST("credits/cmbc/extend")
    Observable<String> commitCreditCardDetails(@FieldMap Map<String, String> map);
    //表格形式发送

    @FormUrlEncoded
    @POST("credits/cmbc/modify")
    Observable<String> commitCreditCardModify(@FieldMap Map<String, String> map);

    //表格形式发送
    @FormUrlEncoded
    @POST("credits/ecitic/code")
    Observable<String> commitCreditCardZXCode(@FieldMap Map<String, String> map);

    @POST("credits/ecitic/img_code")
    Observable<String> commitCreditCardZXImageCode();

    @FormUrlEncoded
    @POST("credits/ecitic/company")
    Observable<String> zxCompany(@FieldMap Map<String, String> map);

    @FormUrlEncoded
    @POST("credits/ecitic/contact")
    Observable<String> zxContact(@FieldMap Map<String, String> map);

    @FormUrlEncoded
    @POST("credits/ecitic/relative")
    Observable<String> zxRelative(@FieldMap Map<String, String> map);

    @FormUrlEncoded
    @POST("credits/ecitic/basic")
    Observable<String> zxBasic(@FieldMap Map<String, String> map);


}
